Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354689 - poweroff and reboot don't work from ssh
Summary: poweroff and reboot don't work from ssh
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 23:40 UTC by Samuel Sieb
Modified: 2017-08-08 15:32 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:32:09 UTC


Attachments (Terms of Use)

Description Samuel Sieb 2016-07-11 23:40:52 UTC
Starting with F24, the poweroff and reboot commands don't work for users logged in over ssh.  The result is:
$ reboot
Failed to set wall message, ignoring: Interactive authentication required.
Failed to reboot system via logind: Interactive authentication required.
Failed to start reboot.target: Interactive authentication required.
See system logs and 'systemctl status reboot.target' for details.
Failed to open /dev/initctl: Permission denied
Failed to talk to init daemon.

However, "systemctl start reboot.target", "systemctl isolate reboot", and "systemctl reboot" all work by asking for the user's password (and user if necessary).  Although "systemctl reboot" needs to authenticate twice for some reason.

Comment 1 Edgar Hoch 2016-07-19 19:27:57 UTC
I think this behaviour is intended. You need to be root or have similar rights (e.g. use sudo) to reboot or power off a remote machine.

Consider you have a computer pool for students, and students are working at the desktop of these computers. A student at home wants to make a joke and reboots or power off these machines.

Only the administrator can reboot and power off remotely, and a desktop user can reboot and power off if he / she is the only current user of this machine. (Of course, he / she can press the power button if he / she has physical access to the machine.)

I think this is not a bug.

Comment 2 Samuel Sieb 2016-08-05 00:19:11 UTC
Edgar, I think you need to read the description a little more carefully.  I didn't say anything different than that.  All the various ways of rebooting work except for running "reboot".  So I"m wondering if the inconsistency is intentional or a bug.

Comment 3 Edgar Hoch 2016-08-05 01:35:25 UTC
Samuel, you are right, sorry, I have misunderstood what you want to say in your bug report. But I think, it would be good if you describe the problem in a way that the readers can easily understand what the main problem is.

If you are logged in via ssh and have root permissions (either via root login or su oder sudo), then commands poweroff and reboot work as usual.

If you are logged in via ssh and have only user rights, then the other commands ask for authentication via polkit-agent-helper-1, but commands poweroff and reboot don't ask for authentication but fail with the error messages listed above. This is a change from Fedora 23 to 24, because in Fedora 23 commands poweroff and reboot behave in the same way as "systemctl poweroff" and "systemctl reboot".

Fedora 23:

$ LANG=C reboot
==== AUTHENTICATING FOR org.freedesktop.login1.reboot ===
Authentication is required for rebooting the system.
Authenticating as: root
...

Fedora 24:

$ LANG=C reboot
Failed to set wall message, ignoring: Interactive authentication required.
Failed to reboot system via logind: Interactive authentication required.
Failed to start reboot.target: Interactive authentication required.
See system logs and 'systemctl status reboot.target' for details.
Failed to open /dev/initctl: Permission denied
Failed to talk to init daemon.



If I understand you right, then your problem is not that ordinary users cannot run poweroff and reboot without authentication for root, but that these commands don't ask for authentication for root at Fedora 24.


So I would recommend to change the summary to something like this:

poweroff and reboot commands don't ask for authentication as "systemctl poweroff" and "systemctl reboot" do

Comment 4 Fedora End Of Life 2017-07-25 21:44:50 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-08-08 15:32:09 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.